---
apiVersion: metal3.io/v1alpha1
kind: Provisioning
metadata:
  creationTimestamp: "2025-10-27T11:18:51Z"
  finalizers:
  - provisioning.metal3.io
  generation: 2
  managedFields:
  - apiVersion: metal3.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:additionalNTPServers: {}
        f:provisioningNetwork: {}
    manager: cluster-bootstrap
    operation: Update
    time: "2025-10-27T11:18:51Z"
  - apiVersion: metal3.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"provisioning.metal3.io": {}
      f:spec:
        f:preProvisioningOSDownloadURLs: {}
        f:provisioningMacAddresses: {}
    manager: cluster-baremetal-operator
    operation: Update
    time: "2025-10-27T11:31:46Z"
  - apiVersion: metal3.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:generations: {}
        f:observedGeneration: {}
        f:readyReplicas: {}
    manager: cluster-baremetal-operator
    operation: Update
    subresource: status
    time: "2025-10-27T12:27:52Z"
  name: provisioning-configuration
  resourceVersion: "43839"
  uid: 256f307d-fd9f-4602-92d3-2bf4ee3b6c7a
spec:
  additionalNTPServers:
  - clock.redhat.com
  preProvisioningOSDownloadURLs: {}
  provisioningMacAddresses:
  - 24:6e:96:a0:07:34
  - 78:AC:44:5E:6C:CC
  - 78:AC:44:5E:9B:0E
  provisioningNetwork: Disabled
status:
  generations:
  - group: apps
    hash: ""
    lastGeneration: 1
    name: metal3
    namespace: openshift-machine-api
    resource: deployments
  - group: apps
    hash: ""
    lastGeneration: 5
    name: metal3-baremetal-operator
    namespace: openshift-machine-api
    resource: deployments
  - group: admissionregistration.k8s.io
    hash: ""
    lastGeneration: 2
    name: baremetal-operator-validating-webhook-configuration
    namespace: ""
    resource: validatingwebhookconfigurations
  - group: apps
    hash: ""
    lastGeneration: 1
    name: metal3-image-customization
    namespace: openshift-machine-api
    resource: deployments
  - group: apps
    hash: ""
    lastGeneration: 2
    name: ironic-proxy
    namespace: openshift-machine-api
    resource: daemonsets
  observedGeneration: 2
  readyReplicas: 0
